Subject: bug#56289: "guix shell -f guix2.scm" fails always

From: Maxime Devos <[email-masked]>
Date: Wed, 29 Jun 2022 11:40:26 +0200

Liliana Marie Prikler schreef op wo 29-06-2022 om 11:22 [+0200]:
> > And the exact same thing happens if a package is used instead of a
> > list of packages.
> One thing to check here is whether a cache might be interfering.  I
> think it is an already known bug, that the file itself is not key in
> the cache, which you can work around by specifying --rebuild-cache.

Whatever non-existent file name I use, I don't get an error message but
the warning ‘guix shell: warning: no packages specified; creating an
empty environment’, so this doesn't look like a cache issue to me.

However, if I do:

$ LANGUAGE=en_US guix shell --rebuild-cache -f nn-fefefefexistent.scm
guix shell: error: failed to load 'nn-fefefefexistent.scm': No such file or directory

$ LANGUAGE=en_US guix shell --rebuild-cache -f nn-fefefefexistent.scm
guix shell: error: failed to load 'nn-fefefefexistent.scm': No such file or directory

$ LANGUAGE=en_US guix shell --rebuild-cache -f mm-fefefefexistent.scm 
guix shell: error: failed to load 'mm-fefefefexistent.scm': No such file or directory

$ LANGUAGE=en_US guix shell -f mm-fefefefexistent.scm
guix shell: error: failed to load 'mm-fefefefexistent.scm': No such file or directory

so looks like there's a cache issue!

Greetings,
Maxime.

 *